# TimeUpDownExtensions

Namespace: **Wisej.Web.Markup**

Assembly: **Wisej.Framework** (4.0.0.0)

Adds [fluent markup](https://learn.microsoft.com/en-us/dotnet/communitytoolkit/maui/markup/markup) extension methods to the [TimeUpDown](/api/wisej.web/editors/timeupdown.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TimeUpDownExtensions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TimeUpDownExtensions
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) Maximum\<TTimeUpDownControl>(domainUpDownControl, maximum)

Sets the maximum time value for the specified [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control.

| Parameter               | Type                                                                                            | Description                           |
| ----------------------- | ----------------------------------------------------------------------------------------------- | ------------------------------------- |
| **TTimeUpDownControl**  |                                                                                                 | The type of the time up-down control. |
| **domainUpDownControl** | [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md) | The time up-down control to modify.   |
| **maximum**             | [TimeSpan](https://docs.microsoft.com/dotnet/api/system.timespan)                               | The maximum time value to set.        |

**Returns:** [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md). The time up-down control with the set maximum value.

### ![](/files/lIX317sDtMTZJBi9oSIx) Minimum\<TTimeUpDownControl>(domainUpDownControl, minimum)

Sets the minimum time value for the specified [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control.

| Parameter               | Type                                                                                            | Description                           |
| ----------------------- | ----------------------------------------------------------------------------------------------- | ------------------------------------- |
| **TTimeUpDownControl**  |                                                                                                 | The type of the time up-down control. |
| **domainUpDownControl** | [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md) | The time up-down control to modify.   |
| **minimum**             | [TimeSpan](https://docs.microsoft.com/dotnet/api/system.timespan)                               | The minimum time value to set.        |

**Returns:** [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md). The time up-down control with the set minimum value.

### ![](/files/lIX317sDtMTZJBi9oSIx) NullableValue\<TTimeUpDownControl>(TimeUpDownControl, nullableValue)

Sets a nullable time value for the specified [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control.

| Parameter              | Type                                                                                            | Description                                  |
| ---------------------- | ----------------------------------------------------------------------------------------------- | -------------------------------------------- |
| **TTimeUpDownControl** |                                                                                                 | The type of the time up-down control.        |
| **TimeUpDownControl**  | [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md) | The time up-down control to modify.          |
| **nullableValue**      | [Nullable\<TimeSpan>](https://docs.microsoft.com/dotnet/api/system.nullable-1)                  | The nullable time value to set; can be null. |

**Returns:** [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md). The time up-down control with the set nullable value.

### ![](/files/lIX317sDtMTZJBi9oSIx) OnValueChanged\<TTimeUpDownControl>(TimeUpDownControl, action)

Attaches a value-changed event handler to the specified [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control.

| Parameter              | Type                                                                                            | Description                                   |
| ---------------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------- |
| **TTimeUpDownControl** |                                                                                                 | The type of the time up-down control.         |
| **TimeUpDownControl**  | [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md) | The time up-down control to modify.           |
| **action**             | [Action\<TTimeUpDownControl>](https://docs.microsoft.com/dotnet/api/system.action-1)            | The action to perform when the value changes. |

**Returns:** [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md). The time up-down control with the event handler attached.

### ![](/files/lIX317sDtMTZJBi9oSIx) Value\<TTimeUpDownControl>(domainUpDownControl, value)

Sets the current time value for the specified [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control.

| Parameter               | Type                                                                                            | Description                           |
| ----------------------- | ----------------------------------------------------------------------------------------------- | ------------------------------------- |
| **TTimeUpDownControl**  |                                                                                                 | The type of the time up-down control. |
| **domainUpDownControl** | [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md) | The time up-down control to modify.   |
| **value**               | [TimeSpan](https://docs.microsoft.com/dotnet/api/system.timespan)                               | The time value to set.                |

**Returns:** [TTimeUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md). The time up-down control with the set value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.timeupdownextensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
